# Yaf_Request_Http::getCookie

(Yaf >=1.0.0)

Yaf_Request_Http::getCookie — Retrieve Cookie variable

### Description

public Yaf_Request_Http::getCookie ( string `$name` [, string `$default` ] ) : mixed

Retrieve Cookie variable

### Parameters

`name`

  the cookie name

`default`

  if this parameter is provide, this will be returned if the cookie can not be found

### Return Values

### See Also

- Yaf_Request_Http::get() - Retrieve variable from client
- Yaf_Request_Http::getQuery() - Fetch a query parameter
- Yaf_Request_Http::getPost() - Retrieve POST variable
- Yaf_Request_Http::getRaw() - Retrieve Raw request body
- Yaf_Request_Abstract::getServer() - Retrieve SERVER variable
- Yaf_Request_Abstract::getParam() - Retrieve calling parameter